Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.usertype
Interface LoggableUserType

    public interface LoggableUserType

Marker interface for user types which want to perform custom logging of their corresponding values

Method Summary
`String` | `toLoggableString(Object value, SessionFactoryImplementor factory)` Generate a loggable string representation of the collection (value).

Method Detail

### toLoggableString

    String toLoggableString(Object value,
                            SessionFactoryImplementor factory)

  Generate a loggable string representation of the collection (value).

  Parameters:
    `value` - The collection to be logged; guarenteed to be non-null and initialized.
    `factory` - The factory.
  Returns:
    The loggable string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.